Private Sub GetLWPOLYLINECoordinates()
    Dim ss_dim As AcadSelectionSet, ent As AcadEntity
    Dim dxf_code() As Integer, dxf_value() As Variant
    Dim i As Long, j As Long
    Dim dbCor As Variant, x As Double, y As Double, z As Double
    On Error GoTo ErrExit
    Set ss_dim = ThisDrawing.SelectionSets.Add("sPolyLines")
    ReDim dxf_code(3), dxf_value(3)
    dxf_code(0) = -4: dxf_value(0) = "<OR"
    dxf_code(1) = 0: dxf_value(1) = "LWPOLYLINE" '这里表示2D多义线
    dxf_code(2) = 0: dxf_value(2) = "POLYLINE" '这里表示3D多义线
    dxf_code(3) = -4: dxf_value(3) = "OR>"

    ss_dim.Select acSelectionSetAll, , , dxf_code, dxf_value

    Open "d:\aaaaa.txt&